

- i460-agp linkage fix ("Luck, Tony" <tony.luck@intel.com>)

- Don't assume the type of dev_t in USB: ppc64 uses unsigned long.

- Don't reimplement offsetof() in hfs

- NBD warning fix

- Remove unneeded null-pointer test in journal_stop (Andreas Gruenbacher)

- remove debug stuff in journal_dirty_metadata()

- slab.c typo fixes (Lev Makhlis <mlev@despammed.com>)


 25-akpm/drivers/block/nbd.c         |    3 ++-
 25-akpm/drivers/char/agp/i460-agp.c |    2 +-
 25-akpm/drivers/usb/core/file.c     |    2 +-
 25-akpm/fs/jbd/transaction.c        |   13 -------------
 25-akpm/include/linux/hfs_sysdep.h  |    3 ---
 25-akpm/mm/slab.c                   |    4 ++--
 6 files changed, 6 insertions(+), 21 deletions(-)

diff -puN drivers/char/agp/i460-agp.c~misc30 drivers/char/agp/i460-agp.c
--- 25/drivers/char/agp/i460-agp.c~misc30	Tue Jul 15 12:13:29 2003
+++ 25-akpm/drivers/char/agp/i460-agp.c	Tue Jul 15 12:13:29 2003
@@ -608,7 +608,7 @@ static struct pci_driver agp_intel_i460_
 	.name		= "agpgart-intel-i460",
 	.id_table	= agp_intel_i460_pci_table,
 	.probe		= agp_intel_i460_probe,
-	.remove		= agp_intel_i460_remove,
+	.remove		= __devexit_p(agp_intel_i460_remove),
 };
 
 static int __init agp_intel_i460_init(void)
diff -puN drivers/usb/core/file.c~misc30 drivers/usb/core/file.c
--- 25/drivers/usb/core/file.c~misc30	Tue Jul 15 12:13:29 2003
+++ 25-akpm/drivers/usb/core/file.c	Tue Jul 15 12:13:29 2003
@@ -93,7 +93,7 @@ static ssize_t show_dev(struct class_dev
 {
 	struct usb_interface *intf = class_dev_to_usb_interface(class_dev);
 	dev_t dev = MKDEV(USB_MAJOR, intf->minor);
-	return sprintf(buf, "%04x\n", dev);
+	return sprintf(buf, "%04lx\n", (unsigned long)dev);
 }
 static CLASS_DEVICE_ATTR(dev, S_IRUGO, show_dev, NULL);
 
diff -puN include/linux/hfs_sysdep.h~misc30 include/linux/hfs_sysdep.h
--- 25/include/linux/hfs_sysdep.h~misc30	Tue Jul 15 12:13:29 2003
+++ 25-akpm/include/linux/hfs_sysdep.h	Tue Jul 15 12:13:29 2003
@@ -28,9 +28,6 @@
 
 extern struct timezone sys_tz;
 
-#undef offsetof
-#define offsetof(TYPE, MEMB) ((size_t) &((TYPE *)0)->MEMB)
-
 /* Typedefs for integer types by size and signedness */
 typedef __u8            hfs_u8;
 typedef __u16           hfs_u16;
diff -puN drivers/block/nbd.c~misc30 drivers/block/nbd.c
--- 25/drivers/block/nbd.c~misc30	Tue Jul 15 12:13:29 2003
+++ 25-akpm/drivers/block/nbd.c	Tue Jul 15 12:13:29 2003
@@ -261,7 +261,8 @@ void nbd_send_req(struct nbd_device *lo,
 	dprintk(DBG_TX, "%s: request %p: sending control (%s@%llu,%luB)\n",
 			lo->disk->disk_name, req,
 			nbdcmd_to_ascii(nbd_cmd(req)),
-			req->sector << 9, req->nr_sectors << 9);
+			(unsigned long long)req->sector << 9,
+			req->nr_sectors << 9);
 	result = sock_xmit(sock, 1, &request, sizeof(request),
 			(nbd_cmd(req) == NBD_CMD_WRITE)? MSG_MORE: 0);
 	if (result <= 0) {
diff -puN fs/jbd/transaction.c~misc30 fs/jbd/transaction.c
--- 25/fs/jbd/transaction.c~misc30	Tue Jul 15 12:13:29 2003
+++ 25-akpm/fs/jbd/transaction.c	Tue Jul 15 14:44:12 2003
@@ -1106,16 +1106,6 @@ int journal_dirty_metadata(handle_t *han
 	if (jh->b_transaction == handle->h_transaction &&
 					jh->b_jlist == BJ_Metadata) {
 		JBUFFER_TRACE(jh, "fastpath");
-		console_verbose();
-		if (jh->b_transaction != journal->j_running_transaction) {
-			printk("jh->b_transaction=%p\n", jh->b_transaction);
-			printk("journal->j_running_transaction=%p\n",
-				journal->j_running_transaction);
-			printk("handle->h_transaction=%p\n",
-				handle->h_transaction);
-			printk("journal->j_committing_transaction=%p\n",
-				journal->j_committing_transaction);
-		}
 		J_ASSERT_JH(jh, jh->b_transaction ==
 					journal->j_running_transaction);
 		goto out_unlock_bh;
@@ -1328,9 +1318,6 @@ int journal_stop(handle_t *handle)
 	journal_t *journal = transaction->t_journal;
 	int old_handle_count, err;
 
-	if (!handle)
-		return 0;
-
 	J_ASSERT(transaction->t_updates > 0);
 	J_ASSERT(journal_current_handle() == handle);
 
diff -puN mm/slab.c~misc30 mm/slab.c
--- 25/mm/slab.c~misc30	Tue Jul 15 14:44:16 2003
+++ 25-akpm/mm/slab.c	Tue Jul 15 14:44:48 2003
@@ -2482,11 +2482,11 @@ static void *s_start(struct seq_file *m,
 		seq_puts(m, "slabinfo - version: 2.0\n");
 #endif
 		seq_puts(m, "# name            <active_objs> <num_objs> <objsize> <objperslab> <pagesperslab>");
-		seq_puts(m, " : tunables <batchcount> <limit <sharedfactor>");
+		seq_puts(m, " : tunables <batchcount> <limit> <sharedfactor>");
 		seq_puts(m, " : slabdata <active_slabs> <num_slabs> <sharedavail>");
 #if STATS
 		seq_puts(m, " : globalstat <listallocs> <maxobjs> <grown> <reaped> <error> <maxfreeable> <freelimit>");
-		seq_puts(m, " : cpustat <allochit <allocmiss <freehit <freemiss>");
+		seq_puts(m, " : cpustat <allochit> <allocmiss> <freehit <freemiss>");
 #endif
 		seq_putc(m, '\n');
 	}

_
